| D++ (DPP) C++ Discord API Bot Library

Search
Loading...
Searching...
No Matches
dpp::poll_results Struct Reference

Represents the results of a poll. More...

`#include <message.h>`

Collaboration diagram for dpp::poll_results:
[legend]

## Classes

struct | answer_count
| Represents a reference to an answer and its count of votes. More...

## Public Attributes

std::map< uint32_t, answer_count > | answer_counts
| Count of votes for each answer. If an answer is not present in this list, then its vote count is 0.
bool | is_finalized {false}
| Whether the poll has finalized, and the answers are precisely counted.

## Detailed Description

Represents the results of a poll.

See also
  https://discord.com/developers/docs/resources/poll#poll-results-object-poll-results-object-structure

## Member Data Documentation

## ◆ answer_counts

std::map<uint32_t, answer_count> dpp::poll_results::answer_counts

Count of votes for each answer. If an answer is not present in this list, then its vote count is 0.

## ◆ is_finalized

bool dpp::poll_results::is_finalized {false}

Whether the poll has finalized, and the answers are precisely counted.

Note
  Discord states that due to the way they count and cache answers, while a poll is running the count of answers might not be accurate.

D++ Library version 9.0.13 D++ Library version 9.0.12 D++ Library version 9.0.11 D++ Library version 9.0.10 D++ Library version 9.0.9 D++ Library version 9.0.8 D++ Library version 9.0.7 D++ Library version 9.0.6 D++ Library version 9.0.5 D++ Library version 9.0.4 D++ Library version 9.0.3 D++ Library version 9.0.2 D++ Library version 9.0.1 D++ Library version 9.0.0 D++ Library version 1.0.2 D++ Library version 1.0.1 D++ Library version 1.0.0